% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
classdef CVC_checker
    
    properties
        
        command = 'cvc3';
        data = [];
        
    end
    
    
    methods(Static)
        
        [ code , query] = generate_cvc_grid( grid , level);
        [ code ] = find_parents( grid );
        cvc_string = matlab_to_cvc_syntax_translation(matlab_string);
        [ cvc_type ] = pvs_to_cvc_subtypes( pvs_type );
        
    end
    
    methods
        
        %% CVC_checker
        %    constructor
        % inputs:
        %   data:Data - data to generate from
        % outputs:
        %   object:CVC_checker - generated object.
        function object = CVC_checker(data)
            object.data = data;
        end
    end
    
end

